Patients
The Patients resource represents individuals receiving care. Patients are read-only.
Endpoints
| Method | Path | Description |
|---|---|---|
GET |
/Patients |
List patients |
GET |
/Patients({id}) |
Get a single patient |
List Patients
Supports: $filter, $select, $orderby, $top, $skip, $count, $expand
Example
curl -X GET "https://api.nymblqa.com/Patients?\$filter=active eq true&\$top=25&\$orderby=last_name asc" \
-H "Authorization: Bearer eyJraWQiOiJ..." \
-H "x-api-key: YOUR_API_KEY"
Response
{
"@odata.context": "https://api.nymblqa.com/$metadata#Patients",
"@odata.count": 250,
"value": [
{
"id": "12345",
"first_name": "Jane",
"last_name": "Doe",
"dob": "1985-06-15",
"active": true,
"email": "jane.doe@example.com"
}
]
}
Get a Single Patient
Example
curl -X GET "https://api.nymblqa.com/Patients(12345)" \
-H "Authorization: Bearer eyJraWQiOiJ..." \
-H "x-api-key: YOUR_API_KEY"
Properties
| Property | Type | Max Length | Description |
|---|---|---|---|
id |
string | — | Unique patient identifier (required) |
version |
string | — | Record version |
active |
boolean | — | Whether the patient is active |
first_name |
string | 25 | First name |
middle_name |
string | 25 | Middle name |
last_name |
string | 25 | Last name |
nickname |
string | 25 | Preferred name |
dob |
string | — | Date of birth |
gender |
string | 10 | Gender |
email |
string | 40 | Email address |
cell_phone |
string | 15 | Cell phone number |
home_phone |
string | 15 | Home phone number |
work_phone |
string | 15 | Work phone number |
preferred_phone |
string | 25 | Preferred contact phone type |
street_address |
string | 100 | Primary street address |
street_address_line2 |
string | 100 | Primary address line 2 |
city |
string | 30 | City |
county |
string | 255 | County |
state |
string | 2 | State abbreviation |
zipcode |
string | 10 | ZIP code |
country |
string | 75 | Country |
address_label |
string | 100 | Label for primary address |
street_address2 |
string | 100 | Secondary street address |
street_address2_line2 |
string | 100 | Secondary address line 2 |
city2 |
string | 30 | Secondary city |
county2 |
string | 255 | Secondary county |
state2 |
string | 2 | Secondary state |
zipcode2 |
string | 10 | Secondary ZIP code |
country2 |
string | 75 | Secondary country |
address_label2 |
string | 100 | Label for secondary address |
marital_status |
string | 20 | Marital status |
employment_status |
string | 30 | Employment status |
living_situation |
string | 30 | Living situation |
deceased |
boolean | — | Whether the patient is deceased |
confirmation_opt_in |
boolean | — | Opted in to appointment confirmations |
spanish_text |
boolean | — | Prefers Spanish language communications |
sms_compliant_cell |
boolean | — | Cell number is SMS compliant |
sms_cell_error_code |
string | 25 | SMS error code if applicable |
critical_message |
string | — | Critical message flag |
manual_hipaa_signed_date |
string | — | Date HIPAA form was manually signed |
primary_branch_id |
string | — | ID of the patient's primary branch |
primary_practitioner_id |
string | — | ID of the primary practitioner |
primary_caregiver_id |
string | — | ID of the primary caregiver |
patient_guarantor_id |
string | — | ID of the guarantor |
hospital_patient_id |
string | 50 | Hospital system patient ID |
integrated_clinic_patient |
boolean | — | Linked to integrated clinic system |
username |
string | 25 | Patient portal username |
source_id |
string | — | Source system record ID |
source_display_id |
string | 25 | Display ID from source system |
source_name |
string | 100 | Source system name |
source_system |
string | 100 | Source system identifier |
created_at |
string (date-time) | — | Record creation timestamp (required) |
created_by_id |
string | — | ID of user who created the record |
Common Query Examples
Active patients, alphabetical:
Search by last name:
Patient with their upcoming appointments:
GET /Patients(12345)?$expand=Appointments($filter=status eq 'Scheduled';$orderby=appointment_date asc)
Recently created patients: